import { Model } from "./model.js";

let presets = {
    "the-outlier": {
        name: "The outlier",
        voters: [
            { x: 0.0325, y: 0.835 },
            { x: 0.14, y: 0.83 },
            { x: 0.03, y: 0.9475 },
            { x: 0.1175, y: 0.9475 },
            { x: 0.5375, y: 0.0625 },
            { x: 0.6525, y: 0.065 },
            { x: 0.53, y: 0.12 },
            { x: 0.5225, y: 0.21 },
            { x: 0.5225, y: 0.2825 },
            { x: 0.61, y: 0.2575 },
            { x: 0.7225, y: 0.1875 },
            { x: 0.6725, y: 0.235 },
            { x: 0.735, y: 0.265 },
            { x: 0.8575, y: 0.0775 },
            { x: 0.925, y: 0.0725 },
            { x: 0.9275, y: 0.13 },
            { x: 0.9275, y: 0.2325 },
            { x: 0.9525, y: 0.2675 },
            { x: 0.8425, y: 0.265 },
            { x: 0.89, y: 0.3725 },
            { x: 0.89, y: 0.4325 },
            { x: 0.835, y: 0.4075 },
            { x: 0.745, y: 0.405 },
            { x: 0.69, y: 0.4225 },
            { x: 0.74, y: 0.345 },
            { x: 0.6325, y: 0.3325 },
            { x: 0.625, y: 0.3925 },
            { x: 0.54, y: 0.3725 },
        ],

        candidates: [
            { x: 0.0675, y: 0.8875 },
            { x: 0.595, y: 0.135 },
            { x: 0.8875, y: 0.1175 },
            { x: 0.5975, y: 0.3725 },
            { x: 0.8575, y: 0.3775 },
            { x: 0.7275, y: 0.2325 },
            { x: 0.5775, y: 0.2475 },
            { x: 0.8825, y: 0.24 },
            { x: 0.715, y: 0.375 },
        ]
    },
    "the-compromise": {
        name: "The compromise",
        voters: [
            { x: 0.4875, y: 0.0375 },
            { x: 0.4925, y: 0.05 },
            { x: 0.3925, y: 0.0425 },
            { x: 0.3725, y: 0.035 },
            { x: 0.67, y: 0.035 },
            { x: 0.545, y: 0.075 },
            { x: 0.4925, y: 0.0525 },
            { x: 0.275, y: 0.0675 },
            { x: 0.13, y: 0.06 },
            { x: 0.06, y: 0.0425 },
            { x: 0.025, y: 0.04 },
            { x: 0.1, y: 0.035 },
            { x: 0.0225, y: 0.1675 },
            { x: 0.01, y: 0.2375 },
            { x: 0.04, y: 0.5375 },
            { x: 0.0125, y: 0.575 },
            { x: 0.045, y: 0.3525 },
            { x: 0.0425, y: 0.46 },
            { x: 0.0675, y: 0.6375 },
            { x: 0.035, y: 0.77 },
            { x: 0.0525, y: 0.815 },
            { x: 0.1175, y: 0.935 },
            { x: 0.01, y: 0.945 },
            { x: 0.0475, y: 0.9225 },
            { x: 0.13, y: 0.975 },
            { x: 0.2575, y: 0.935 },
            { x: 0.1225, y: 0.9 },
            { x: 0.4025, y: 0.9175 },
            { x: 0.55, y: 0.985 },
            { x: 0.4275, y: 0.9175 },
            { x: 0.5325, y: 0.9575 },
            { x: 0.42, y: 1 },
            { x: 0.445, y: 0.8875 },
            { x: 0.5925, y: 0.9175 },
            { x: 0.73, y: 0.9425 },
            { x: 0.8275, y: 0.97 },
            { x: 0.93, y: 0.9625 },
            { x: 0.95, y: 0.79 },
            { x: 0.9275, y: 0.9125 },
            { x: 0.96, y: 0.8975 },
            { x: 0.9075, y: 0.6475 },
            { x: 0.9125, y: 0.5575 },
            { x: 0.88, y: 0.495 },
            { x: 0.9725, y: 0.6525 },
            { x: 0.9275, y: 0.535 },
            { x: 0.9275, y: 0.4075 },
            { x: 0.975, y: 0.3575 },
            { x: 0.9725, y: 0.44 },
            { x: 0.99, y: 0.1025 },
            { x: 0.925, y: 0.0725 },
            { x: 0.845, y: 0.045 },
            { x: 0.8, y: 0.0375 },
            { x: 0.995, y: 0.005 },
            { x: 0.9875, y: 0.185 },
            { x: 0.8, y: 0.065 },
            { x: 0.745, y: 0.0375 },
            { x: 0.9725, y: 0.26 },
            { x: 0.8625, y: 0.225 },
            { x: 0.905, y: 0.655 },
            { x: 0.89, y: 0.8175 },
            { x: 0.77, y: 0.885 },
            { x: 0.5025, y: 0.805 },
            { x: 0.125, y: 0.8225 },
            { x: 0.1575, y: 0.79 },
            { x: 0.175, y: 0.7 },
            { x: 0.1725, y: 0.47 },
            { x: 0.0825, y: 0.29 },
            { x: 0.1375, y: 0.165 },
            { x: 0.2925, y: 0.1475 },
            { x: 0.33, y: 0.1775 },],
        candidates: [
            { x: 0.49, y: 0.495 },
            { x: 0.005, y: 0.015 },
            { x: 0.5025, y: 0.0075 },
            { x: 0.98, y: 0.0125 },
            { x: 0.995, y: 0.505 },
            { x: 0.9875, y: 1 },
            { x: 0.4875, y: 0.995 },
            { x: 0, y: 0.9925 },
            { x: 0.0025, y: 0.505 },
        ]

    },
    "balance": {
        name: "Balance",
        voters: [
            { x: 0, y: 0 },
            { x: 0, y: 0.05 },
            { x: 0, y: 0.1 },
            { x: 0, y: 0.15 },
            { x: 0, y: 0.2 },
            { x: 0, y: 0.25 },
            { x: 0, y: 0.3 },
            { x: 0, y: 0.35 },
            { x: 0, y: 0.4 },
            { x: 0, y: 0.45 },
            { x: 0, y: 0.5 },
            { x: 0, y: 0.55 },
            { x: 0, y: 0.6 },
            { x: 0, y: 0.65 },
            { x: 0, y: 0.7 },
            { x: 0, y: 0.75 },
            { x: 0, y: 0.8 },
            { x: 0, y: 0.85 },
            { x: 0, y: 0.9 },
            { x: 0, y: 0.95 },
            { x: 0, y: 1 },
            { x: 0.05, y: 0 },
            { x: 0.05, y: 0.05 },
            { x: 0.05, y: 0.1 },
            { x: 0.05, y: 0.15 },
            { x: 0.05, y: 0.2 },
            { x: 0.05, y: 0.25 },
            { x: 0.05, y: 0.3 },
            { x: 0.05, y: 0.35 },
            { x: 0.05, y: 0.4 },
            { x: 0.05, y: 0.45 },
            { x: 0.05, y: 0.5 },
            { x: 0.05, y: 0.55 },
            { x: 0.05, y: 0.6 },
            { x: 0.05, y: 0.65 },
            { x: 0.05, y: 0.7 },
            { x: 0.05, y: 0.75 },
            { x: 0.05, y: 0.8 },
            { x: 0.05, y: 0.85 },
            { x: 0.05, y: 0.9 },
            { x: 0.05, y: 0.95 },
            { x: 0.05, y: 1 },
            { x: 0.1, y: 0 },
            { x: 0.1, y: 0.05 },
            { x: 0.1, y: 0.1 },
            { x: 0.1, y: 0.15 },
            { x: 0.1, y: 0.2 },
            { x: 0.1, y: 0.25 },
            { x: 0.1, y: 0.3 },
            { x: 0.1, y: 0.35 },
            { x: 0.1, y: 0.4 },
            { x: 0.1, y: 0.45 },
            { x: 0.1, y: 0.5 },
            { x: 0.1, y: 0.55 },
            { x: 0.1, y: 0.6 },
            { x: 0.1, y: 0.65 },
            { x: 0.1, y: 0.7 },
            { x: 0.1, y: 0.75 },
            { x: 0.1, y: 0.8 },
            { x: 0.1, y: 0.85 },
            { x: 0.1, y: 0.9 },
            { x: 0.1, y: 0.95 },
            { x: 0.1, y: 1 },
            { x: 0.15, y: 0 },
            { x: 0.15, y: 0.05 },
            { x: 0.15, y: 0.1 },
            { x: 0.15, y: 0.15 },
            { x: 0.15, y: 0.2 },
            { x: 0.15, y: 0.25 },
            { x: 0.15, y: 0.3 },
            { x: 0.15, y: 0.35 },
            { x: 0.15, y: 0.4 },
            { x: 0.15, y: 0.45 },
            { x: 0.15, y: 0.5 },
            { x: 0.15, y: 0.55 },
            { x: 0.15, y: 0.6 },
            { x: 0.15, y: 0.65 },
            { x: 0.15, y: 0.7 },
            { x: 0.15, y: 0.75 },
            { x: 0.15, y: 0.8 },
            { x: 0.15, y: 0.85 },
            { x: 0.15, y: 0.9 },
            { x: 0.15, y: 0.95 },
            { x: 0.15, y: 1 },
            { x: 0.2, y: 0 },
            { x: 0.2, y: 0.05 },
            { x: 0.2, y: 0.1 },
            { x: 0.2, y: 0.15 },
            { x: 0.2, y: 0.2 },
            { x: 0.2, y: 0.25 },
            { x: 0.2, y: 0.3 },
            { x: 0.2, y: 0.35 },
            { x: 0.2, y: 0.4 },
            { x: 0.2, y: 0.45 },
            { x: 0.2, y: 0.5 },
            { x: 0.2, y: 0.55 },
            { x: 0.2, y: 0.6 },
            { x: 0.2, y: 0.65 },
            { x: 0.2, y: 0.7 },
            { x: 0.2, y: 0.75 },
            { x: 0.2, y: 0.8 },
            { x: 0.2, y: 0.85 },
            { x: 0.2, y: 0.9 },
            { x: 0.2, y: 0.95 },
            { x: 0.2, y: 1 },
            { x: 0.25, y: 0 },
            { x: 0.25, y: 0.05 },
            { x: 0.25, y: 0.1 },
            { x: 0.25, y: 0.15 },
            { x: 0.25, y: 0.2 },
            { x: 0.25, y: 0.25 },
            { x: 0.25, y: 0.3 },
            { x: 0.25, y: 0.35 },
            { x: 0.25, y: 0.4 },
            { x: 0.25, y: 0.45 },
            { x: 0.25, y: 0.5 },
            { x: 0.25, y: 0.55 },
            { x: 0.25, y: 0.6 },
            { x: 0.25, y: 0.65 },
            { x: 0.25, y: 0.7 },
            { x: 0.25, y: 0.75 },
            { x: 0.25, y: 0.8 },
            { x: 0.25, y: 0.85 },
            { x: 0.25, y: 0.9 },
            { x: 0.25, y: 0.95 },
            { x: 0.25, y: 1 },
            { x: 0.3, y: 0 },
            { x: 0.3, y: 0.05 },
            { x: 0.3, y: 0.1 },
            { x: 0.3, y: 0.15 },
            { x: 0.3, y: 0.2 },
            { x: 0.3, y: 0.25 },
            { x: 0.3, y: 0.3 },
            { x: 0.3, y: 0.35 },
            { x: 0.3, y: 0.4 },
            { x: 0.3, y: 0.45 },
            { x: 0.3, y: 0.5 },
            { x: 0.3, y: 0.55 },
            { x: 0.3, y: 0.6 },
            { x: 0.3, y: 0.65 },
            { x: 0.3, y: 0.7 },
            { x: 0.3, y: 0.75 },
            { x: 0.3, y: 0.8 },
            { x: 0.3, y: 0.85 },
            { x: 0.3, y: 0.9 },
            { x: 0.3, y: 0.95 },
            { x: 0.3, y: 1 },
            { x: 0.35, y: 0 },
            { x: 0.35, y: 0.05 },
            { x: 0.35, y: 0.1 },
            { x: 0.35, y: 0.15 },
            { x: 0.35, y: 0.2 },
            { x: 0.35, y: 0.25 },
            { x: 0.35, y: 0.3 },
            { x: 0.35, y: 0.35 },
            { x: 0.35, y: 0.4 },
            { x: 0.35, y: 0.45 },
            { x: 0.35, y: 0.5 },
            { x: 0.35, y: 0.55 },
            { x: 0.35, y: 0.6 },
            { x: 0.35, y: 0.65 },
            { x: 0.35, y: 0.7 },
            { x: 0.35, y: 0.75 },
            { x: 0.35, y: 0.8 },
            { x: 0.35, y: 0.85 },
            { x: 0.35, y: 0.9 },
            { x: 0.35, y: 0.95 },
            { x: 0.35, y: 1 },
            { x: 0.4, y: 0 },
            { x: 0.4, y: 0.05 },
            { x: 0.4, y: 0.1 },
            { x: 0.4, y: 0.15 },
            { x: 0.4, y: 0.2 },
            { x: 0.4, y: 0.25 },
            { x: 0.4, y: 0.3 },
            { x: 0.4, y: 0.35 },
            { x: 0.4, y: 0.4 },
            { x: 0.4, y: 0.45 },
            { x: 0.4, y: 0.5 },
            { x: 0.4, y: 0.55 },
            { x: 0.4, y: 0.6 },
            { x: 0.4, y: 0.65 },
            { x: 0.4, y: 0.7 },
            { x: 0.4, y: 0.75 },
            { x: 0.4, y: 0.8 },
            { x: 0.4, y: 0.85 },
            { x: 0.4, y: 0.9 },
            { x: 0.4, y: 0.95 },
            { x: 0.4, y: 1 },
            { x: 0.45, y: 0 },
            { x: 0.45, y: 0.05 },
            { x: 0.45, y: 0.1 },
            { x: 0.45, y: 0.15 },
            { x: 0.45, y: 0.2 },
            { x: 0.45, y: 0.25 },
            { x: 0.45, y: 0.3 },
            { x: 0.45, y: 0.35 },
            { x: 0.45, y: 0.4 },
            { x: 0.45, y: 0.45 },
            { x: 0.45, y: 0.5 },
            { x: 0.45, y: 0.55 },
            { x: 0.45, y: 0.6 },
            { x: 0.45, y: 0.65 },
            { x: 0.45, y: 0.7 },
            { x: 0.45, y: 0.75 },
            { x: 0.45, y: 0.8 },
            { x: 0.45, y: 0.85 },
            { x: 0.45, y: 0.9 },
            { x: 0.45, y: 0.95 },
            { x: 0.45, y: 1 },
            { x: 0.5, y: 0 },
            { x: 0.5, y: 0.05 },
            { x: 0.5, y: 0.1 },
            { x: 0.5, y: 0.15 },
            { x: 0.5, y: 0.2 },
            { x: 0.5, y: 0.25 },
            { x: 0.5, y: 0.3 },
            { x: 0.5, y: 0.35 },
            { x: 0.5, y: 0.4 },
            { x: 0.5, y: 0.45 },
            { x: 0.5, y: 0.5 },
            { x: 0.5, y: 0.55 },
            { x: 0.5, y: 0.6 },
            { x: 0.5, y: 0.65 },
            { x: 0.5, y: 0.7 },
            { x: 0.5, y: 0.75 },
            { x: 0.5, y: 0.8 },
            { x: 0.5, y: 0.85 },
            { x: 0.5, y: 0.9 },
            { x: 0.5, y: 0.95 },
            { x: 0.5, y: 1 },
            { x: 0.55, y: 0 },
            { x: 0.55, y: 0.05 },
            { x: 0.55, y: 0.1 },
            { x: 0.55, y: 0.15 },
            { x: 0.55, y: 0.2 },
            { x: 0.55, y: 0.25 },
            { x: 0.55, y: 0.3 },
            { x: 0.55, y: 0.35 },
            { x: 0.55, y: 0.4 },
            { x: 0.55, y: 0.45 },
            { x: 0.55, y: 0.5 },
            { x: 0.55, y: 0.55 },
            { x: 0.55, y: 0.6 },
            { x: 0.55, y: 0.65 },
            { x: 0.55, y: 0.7 },
            { x: 0.55, y: 0.75 },
            { x: 0.55, y: 0.8 },
            { x: 0.55, y: 0.85 },
            { x: 0.55, y: 0.9 },
            { x: 0.55, y: 0.95 },
            { x: 0.55, y: 1 },
            { x: 0.6, y: 0 },
            { x: 0.6, y: 0.05 },
            { x: 0.6, y: 0.1 },
            { x: 0.6, y: 0.15 },
            { x: 0.6, y: 0.2 },
            { x: 0.6, y: 0.25 },
            { x: 0.6, y: 0.3 },
            { x: 0.6, y: 0.35 },
            { x: 0.6, y: 0.4 },
            { x: 0.6, y: 0.45 },
            { x: 0.6, y: 0.5 },
            { x: 0.6, y: 0.55 },
            { x: 0.6, y: 0.6 },
            { x: 0.6, y: 0.65 },
            { x: 0.6, y: 0.7 },
            { x: 0.6, y: 0.75 },
            { x: 0.6, y: 0.8 },
            { x: 0.6, y: 0.85 },
            { x: 0.6, y: 0.9 },
            { x: 0.6, y: 0.95 },
            { x: 0.6, y: 1 },
            { x: 0.65, y: 0 },
            { x: 0.65, y: 0.05 },
            { x: 0.65, y: 0.1 },
            { x: 0.65, y: 0.15 },
            { x: 0.65, y: 0.2 },
            { x: 0.65, y: 0.25 },
            { x: 0.65, y: 0.3 },
            { x: 0.65, y: 0.35 },
            { x: 0.65, y: 0.4 },
            { x: 0.65, y: 0.45 },
            { x: 0.65, y: 0.5 },
            { x: 0.65, y: 0.55 },
            { x: 0.65, y: 0.6 },
            { x: 0.65, y: 0.65 },
            { x: 0.65, y: 0.7 },
            { x: 0.65, y: 0.75 },
            { x: 0.65, y: 0.8 },
            { x: 0.65, y: 0.85 },
            { x: 0.65, y: 0.9 },
            { x: 0.65, y: 0.95 },
            { x: 0.65, y: 1 },
            { x: 0.7, y: 0 },
            { x: 0.7, y: 0.05 },
            { x: 0.7, y: 0.1 },
            { x: 0.7, y: 0.15 },
            { x: 0.7, y: 0.2 },
            { x: 0.7, y: 0.25 },
            { x: 0.7, y: 0.3 },
            { x: 0.7, y: 0.35 },
            { x: 0.7, y: 0.4 },
            { x: 0.7, y: 0.45 },
            { x: 0.7, y: 0.5 },
            { x: 0.7, y: 0.55 },
            { x: 0.7, y: 0.6 },
            { x: 0.7, y: 0.65 },
            { x: 0.7, y: 0.7 },
            { x: 0.7, y: 0.75 },
            { x: 0.7, y: 0.8 },
            { x: 0.7, y: 0.85 },
            { x: 0.7, y: 0.9 },
            { x: 0.7, y: 0.95 },
            { x: 0.7, y: 1 },
            { x: 0.75, y: 0 },
            { x: 0.75, y: 0.05 },
            { x: 0.75, y: 0.1 },
            { x: 0.75, y: 0.15 },
            { x: 0.75, y: 0.2 },
            { x: 0.75, y: 0.25 },
            { x: 0.75, y: 0.3 },
            { x: 0.75, y: 0.35 },
            { x: 0.75, y: 0.4 },
            { x: 0.75, y: 0.45 },
            { x: 0.75, y: 0.5 },
            { x: 0.75, y: 0.55 },
            { x: 0.75, y: 0.6 },
            { x: 0.75, y: 0.65 },
            { x: 0.75, y: 0.7 },
            { x: 0.75, y: 0.75 },
            { x: 0.75, y: 0.8 },
            { x: 0.75, y: 0.85 },
            { x: 0.75, y: 0.9 },
            { x: 0.75, y: 0.95 },
            { x: 0.75, y: 1 },
            { x: 0.8, y: 0 },
            { x: 0.8, y: 0.05 },
            { x: 0.8, y: 0.1 },
            { x: 0.8, y: 0.15 },
            { x: 0.8, y: 0.2 },
            { x: 0.8, y: 0.25 },
            { x: 0.8, y: 0.3 },
            { x: 0.8, y: 0.35 },
            { x: 0.8, y: 0.4 },
            { x: 0.8, y: 0.45 },
            { x: 0.8, y: 0.5 },
            { x: 0.8, y: 0.55 },
            { x: 0.8, y: 0.6 },
            { x: 0.8, y: 0.65 },
            { x: 0.8, y: 0.7 },
            { x: 0.8, y: 0.75 },
            { x: 0.8, y: 0.8 },
            { x: 0.8, y: 0.85 },
            { x: 0.8, y: 0.9 },
            { x: 0.8, y: 0.95 },
            { x: 0.8, y: 1 },
            { x: 0.85, y: 0 },
            { x: 0.85, y: 0.05 },
            { x: 0.85, y: 0.1 },
            { x: 0.85, y: 0.15 },
            { x: 0.85, y: 0.2 },
            { x: 0.85, y: 0.25 },
            { x: 0.85, y: 0.3 },
            { x: 0.85, y: 0.35 },
            { x: 0.85, y: 0.4 },
            { x: 0.85, y: 0.45 },
            { x: 0.85, y: 0.5 },
            { x: 0.85, y: 0.55 },
            { x: 0.85, y: 0.6 },
            { x: 0.85, y: 0.65 },
            { x: 0.85, y: 0.7 },
            { x: 0.85, y: 0.75 },
            { x: 0.85, y: 0.8 },
            { x: 0.85, y: 0.85 },
            { x: 0.85, y: 0.9 },
            { x: 0.85, y: 0.95 },
            { x: 0.85, y: 1 },
            { x: 0.9, y: 0 },
            { x: 0.9, y: 0.05 },
            { x: 0.9, y: 0.1 },
            { x: 0.9, y: 0.15 },
            { x: 0.9, y: 0.2 },
            { x: 0.9, y: 0.25 },
            { x: 0.9, y: 0.3 },
            { x: 0.9, y: 0.35 },
            { x: 0.9, y: 0.4 },
            { x: 0.9, y: 0.45 },
            { x: 0.9, y: 0.5 },
            { x: 0.9, y: 0.55 },
            { x: 0.9, y: 0.6 },
            { x: 0.9, y: 0.65 },
            { x: 0.9, y: 0.7 },
            { x: 0.9, y: 0.75 },
            { x: 0.9, y: 0.8 },
            { x: 0.9, y: 0.85 },
            { x: 0.9, y: 0.9 },
            { x: 0.9, y: 0.95 },
            { x: 0.9, y: 1 },
            { x: 0.95, y: 0 },
            { x: 0.95, y: 0.05 },
            { x: 0.95, y: 0.1 },
            { x: 0.95, y: 0.15 },
            { x: 0.95, y: 0.2 },
            { x: 0.95, y: 0.25 },
            { x: 0.95, y: 0.3 },
            { x: 0.95, y: 0.35 },
            { x: 0.95, y: 0.4 },
            { x: 0.95, y: 0.45 },
            { x: 0.95, y: 0.5 },
            { x: 0.95, y: 0.55 },
            { x: 0.95, y: 0.6 },
            { x: 0.95, y: 0.65 },
            { x: 0.95, y: 0.7 },
            { x: 0.95, y: 0.75 },
            { x: 0.95, y: 0.8 },
            { x: 0.95, y: 0.85 },
            { x: 0.95, y: 0.9 },
            { x: 0.95, y: 0.95 },
            { x: 0.95, y: 1 },
            { x: 1, y: 0 },
            { x: 1, y: 0.05 },
            { x: 1, y: 0.1 },
            { x: 1, y: 0.15 },
            { x: 1, y: 0.2 },
            { x: 1, y: 0.25 },
            { x: 1, y: 0.3 },
            { x: 1, y: 0.35 },
            { x: 1, y: 0.4 },
            { x: 1, y: 0.45 },
            { x: 1, y: 0.5 },
            { x: 1, y: 0.55 },
            { x: 1, y: 0.6 },
            { x: 1, y: 0.65 },
            { x: 1, y: 0.7 },
            { x: 1, y: 0.75 },
            { x: 1, y: 0.8 },
            { x: 1, y: 0.85 },
            { x: 1, y: 0.9 },
            { x: 1, y: 0.95 },
            { x: 1, y: 1 },
        ],
        "candidates": [
            { x: 0.25, y: 0.25 },
            { x: 0.75, y: 0.25 },
            { x: 0.25, y: 0.75 },
            { x: 0.75, y: 0.75 },
        ]
    },
    "dominant center": {
        name: "Dominant Center",
        "voters": [
            { x: 0.0788565780144493, y: 0.8362082960282228 }, { x: 0.14457039302649038, y: 0.8953507295390597 }, { x: 0.09364218639215854, y: 0.970921616802907 }, { x: 0.036142598256622596, y: 0.9167077194179731 }, { x: 0.03778544363192362, y: 0.11828486702167394 }, { x: 0.09364218639215854, y: 0.07557088726384724 }, { x: 0.09364218639215854, y: 0.19057006353491915 }, { x: 0.16264169215480168, y: 0.1330704753993832 }, { x: 0.7721373263914827, y: 0.12485624852287805 }, { x: 0.8362082960282228, y: 0.07392804188854622 }, { x: 0.8986364202896618, y: 0.1149991762710719 }, { x: 0.8444225229047279, y: 0.16592738290540374 }, { x: 0.8707080489095443, y: 0.849351059030631 }, { x: 0.8164941515246105, y: 0.8969935749143607 }, { x: 0.8608509766577381, y: 0.9544931630498967 }, { x: 0.9347790185462844, y: 0.9314933277956824 }, { x: 0.4665680865854917, y: 0.5257105200963287 }, { x: 0.4452110967065783, y: 0.47313946808669577 }, { x: 0.486282231089104, y: 0.4435682513312773 }, { x: 0.5273533654716297, y: 0.484639385713803 }, { x: 0.5125677570939204, y: 0.5306390562222317 }, { x: 0.5289962108469307, y: 0.4435682513312773 }, { x: 0.43371117907947115, y: 0.42878264295356805 }, { x: 0.1264990938981791, y: 0.84770821365533 }, { x: 0.8805651211613506, y: 0.1642845375301027 }, { x: 0.727780501258355, y: 0.08378511414035238 }, { x: 0.9232791009191772, y: 0.8657795127836413 }, { x: 0.7984228523962992, y: 0.8378511414035238 }, { x: 0.910136337916769, y: 0.9643502353017028 }, { x: 0.4189255707017619, y: 0.5043535302174154 }, { x: 0.5109249117186194, y: 0.40578280769935365 }, { x: 0.550353200725844, y: 0.5092820663433184 }, { x: 0.47478231346199684, y: 0.550353200725844 }, { x: 0.5289962108469307, y: 0.5651388091035533 }
        ],
        "candidates": [
            { x: 0.10514210401926573, y: 0.12321340314757703 }, { x: 0.849351059030631, y: 0.121570557772276 }, { x: 0.49449645796560915, y: 0.49285361259030813 }, { x: 0.08049942338975033, y: 0.910136337916769 }, { x: 0.8887793480378556, y: 0.9232791009191772 }
        ]
    }
};

function loadPreset(preset) {
    preset["voters"].forEach(voterPos => document.coordinateSystem.addVoter(voterPos));
    preset["candidates"].forEach(candidatePos => document.coordinateSystem.addCandidate(candidatePos));
}

function setPreset(name) {
    let preset = presets[name];
    document.model = new Model();
    document.coordinateSystem.readyCanvas();
    document.coordinateSystem.model = document.model;
    loadPreset(preset);
}

export function buildPresetSelector() {
    Object.entries(presets).forEach(preset => {
        let presetButton = document.createElement("a");
        presetButton.classList.add("dropdown-item");
        presetButton.href = "javascript:void(0);";
        presetButton.innerHTML = preset[1].name;
        presetButton.onclick = () => setPreset(preset[0]);
        document.getElementById("preset-dropdown").appendChild(presetButton);
    });
}

